create view pg_backend_memory_contexts
            (name, ident, parent, level, total_bytes, total_nblocks, free_bytes,
             free_chunks, used_bytes)
as
SELECT pg_get_backend_memory_contexts.name,
       pg_get_backend_memory_contexts.ident,
       pg_get_backend_memory_contexts.parent,
       pg_get_backend_memory_contexts.level,
       pg_get_backend_memory_contexts.total_bytes,
       pg_get_backend_memory_contexts.total_nblocks,
       pg_get_backend_memory_contexts.free_bytes,
       pg_get_backend_memory_contexts.free_chunks,
       pg_get_backend_memory_contexts.used_bytes
FROM pg_get_backend_memory_contexts() pg_get_backend_memory_contexts(name, ident,
                                                                     parent, level,
                                                                     total_bytes,
                                                                     total_nblocks,
                                                                     free_bytes,
                                                                     free_chunks,
                                                                     used_bytes);

alter table pg_backend_memory_contexts
    owner to postgres;

grant select on pg_backend_memory_contexts to pg_read_all_stats;

