create view pg_stat_wal_receiver
            (pid, status, receive_start_lsn, receive_start_tli, written_lsn,
             flushed_lsn, received_tli, last_msg_send_time, last_msg_receipt_time,
             latest_end_lsn, latest_end_time, slot_name, sender_host, sender_port,
             conninfo)
as
SELECT s.pid,
       s.status,
       s.receive_start_lsn,
       s.receive_start_tli,
       s.written_lsn,
       s.flushed_lsn,
       s.received_tli,
       s.last_msg_send_time,
       s.last_msg_receipt_time,
       s.latest_end_lsn,
       s.latest_end_time,
       s.slot_name,
       s.sender_host,
       s.sender_port,
       s.conninfo
FROM pg_stat_get_wal_receiver() s(pid, status, receive_start_lsn, receive_start_tli,
                                  written_lsn, flushed_lsn, received_tli,
                                  last_msg_send_time, last_msg_receipt_time,
                                  latest_end_lsn, latest_end_time, slot_name,
                                  sender_host, sender_port, conninfo)
WHERE s.pid IS NOT NULL;

alter table pg_stat_wal_receiver
    owner to postgres;

grant select on pg_stat_wal_receiver to public;

